<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4163
Name: Prehospital Encounter Response Unit Scene Arrival Observation
Description: Prehospital Encounter Response Unit Scene Arrival Observation
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4163-2017-02-09T000000">
   <title>Prehospital Encounter Response Unit Scene Arrival Observation</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4163
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4163']]]
Item: (PrehospitalEncounterResponseUnitSceneArrivalObservation)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4163
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4163']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4163']]
Item: (PrehospitalEncounterResponseUnitSceneArrivalObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4163']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4163']]"
         id="d120e9455-false-d130965e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4163-2017-02-09T000000.html"
              test="string(@classCode)=('OBS')">(PrehospitalEncounterResponseUnitSceneArrivalObservation): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4163-2017-02-09T000000.html"
              test="string(@moodCode)=('EVN')">(PrehospitalEncounterResponseUnitSceneArrivalObservation): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4163-2017-02-09T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4163'])&gt;=1">(PrehospitalEncounterResponseUnitSceneArrivalObservation): Element hl7:templateId[@root='1.2.276.0.76.10.4163'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4163-2017-02-09T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4163'])&lt;=1">(PrehospitalEncounterResponseUnitSceneArrivalObservation): Element hl7:templateId[@root='1.2.276.0.76.10.4163'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4163-2017-02-09T000000.html"
              test="count(hl7:code[(@code='69473-7' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(PrehospitalEncounterResponseUnitSceneArrivalObservation): Element hl7:code[(@code='69473-7' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4163-2017-02-09T000000.html"
              test="count(hl7:code[(@code='69473-7' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(PrehospitalEncounterResponseUnitSceneArrivalObservation): Element hl7:code[(@code='69473-7' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4163-2017-02-09T000000.html"
              test="count(hl7:text)&lt;=1">(PrehospitalEncounterResponseUnitSceneArrivalObservation): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4163-2017-02-09T000000.html"
              test="count(hl7:value)&gt;=1">(PrehospitalEncounterResponseUnitSceneArrivalObservation): Element hl7:value ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4163-2017-02-09T000000.html"
              test="count(hl7:value)&lt;=1">(PrehospitalEncounterResponseUnitSceneArrivalObservation): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4163
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4163']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4163']]/hl7:templateId[@root='1.2.276.0.76.10.4163']
Item: (PrehospitalEncounterResponseUnitSceneArrivalObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4163']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4163']]/hl7:templateId[@root='1.2.276.0.76.10.4163']"
         id="d120e9461-false-d131028e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4163-2017-02-09T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4163')">(PrehospitalEncounterResponseUnitSceneArrivalObservation): Der Wert von @root MUSS '1.2.276.0.76.10.4163' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4163
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4163']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4163']]/hl7:code[(@code='69473-7' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (PrehospitalEncounterResponseUnitSceneArrivalObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4163']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4163']]/hl7:code[(@code='69473-7' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d120e9466-false-d131042e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4163-2017-02-09T000000.html"
              test="@nullFlavor or (@code='69473-7' and @codeSystem='2.16.840.1.113883.6.1')">(PrehospitalEncounterResponseUnitSceneArrivalObservation): Der Elementinhalt MUSS einer von 'code '69473-7' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4163
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4163']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4163']]/hl7:text
Item: (PrehospitalEncounterResponseUnitSceneArrivalObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4163']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4163']]/hl7:text"
         id="d120e9471-false-d131059e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4163-2017-02-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PrehospitalEncounterResponseUnitSceneArrivalObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4163-2017-02-09T000000.html"
              test="count(hl7:reference)&gt;=1">(PrehospitalEncounterResponseUnitSceneArrivalObservation): Element hl7:reference ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4163-2017-02-09T000000.html"
              test="count(hl7:reference)&lt;=1">(PrehospitalEncounterResponseUnitSceneArrivalObservation): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4163
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4163']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4163']]/hl7:text/hl7:reference
Item: (PrehospitalEncounterResponseUnitSceneArrivalObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4163']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4163']]/hl7:text/hl7:reference"
         id="d120e9476-false-d131085e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4163-2017-02-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PrehospitalEncounterResponseUnitSceneArrivalObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4163
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4163']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4163']]/hl7:value
Item: (PrehospitalEncounterResponseUnitSceneArrivalObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4163']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4163']]/hl7:value"
         id="d120e9480-false-d131099e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4163-2017-02-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PrehospitalEncounterResponseUnitSceneArrivalObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170706T182840/tmp-1.2.276.0.76.10.4163-2017-02-09T000000.html"
              test="not(*)">(PrehospitalEncounterResponseUnitSceneArrivalObservation): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
</pattern>
